## pcre3 8.38

=== debian/changelog ===
pcre3 (2:8.38-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * CVE-2016-1283: heap buffer overflow in handling of duplicate named
    groups (Closes: #809706)

 -- Salvatore Bonaccorso <carnil@debian.org>  Tue, 22 Mar 2016 21:05:13 +0100

pcre3 (2:8.38-3) unstable; urgency=low

  * Apply Ubuntu patch from Iain Lane (modified by Graham Inggs) to add
    symbols files (Closes: #767374)

 -- Matthew Vernon <matthew@debian.org>  Sun, 28 Feb 2016 11:24:52 +0000

pcre3 (2:8.38-2) unstable; urgency=low

  * Apply upstream patch to fix workspace overflow for (*ACCEPT) with
    deeply nested parentheses (Closes: #815921)

 -- Matthew Vernon <matthew@debian.org>  Sat, 27 Feb 2016 16:30:35 +0000

pcre3 (2:8.38-1) unstable; urgency=low

  * New upstream version

 -- Matthew Vernon <matthew@debian.org>  Tue, 22 Dec 2015 13:37:39 +0000

pcre3 (2:8.35-8) unstable; urgency=low

  * Remove conflicts with long-vanished pcre{1,2}-dev packages (so new PCRE2 packages can co-exist)

 -- Matthew Vernon <matthew@debian.org>  Sat, 21 Nov 2015 15:35:13 +0000

pcre3 (2:8.35-7.4) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix copy-and-paste error in Disable_JIT_on_sparc64.patch.

 -- John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>  Mon, 02 Nov 2015 18:51:13 +0100

pcre3 (2:8.35-7.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Add Disable_JIT_on_sparc64.patch to disable JIT on sparc64. The patch
    no_jit_x32_powerpcspe.patch to disable JIT on powerpcspe was already
    added in 2:8.35-6 (Closes: #765079).

 -- John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>  Mon, 02 Nov 2015 15:13:16 +0100

pcre3 (2:8.35-7.2) unstable; urgency=low

  * Non-maintainer upload (with maintainer's permission).
  * Add Fix-compiler-crash-misbehaviour-for-zero-repeated-gr.patch.
    Fixes "PCRE Library Stack Overflow Vulnerability" (Upstream bug 1503)
  * Add Fix-compile-time-loop-for-recursive-reference-within.patch.
    Fixes "PCRE Call Stack Overflow Vulnerability" (Upstream bug 1515)
  * Add 794589-information-disclosure.patch.
    Fixes "pcre_exec does not fill offsets for certain regexps" leading to
    information disclosure. (Closes: #794589)
  * Add Fix-bad-compile-for-groups-like-2-0-1999.patch.
    CVE-2015-2325: heap buffer overflow in compile_branch(). (Closes: #781795)
  * Add Fix-bad-compilation-for-patterns-like-1-1-with-forwa.patch.
    CVE-2015-2326: heap buffer overflow in pcre_compile2(). (Closes: #783285)
  * Add Fix-buffer-overflow-for-named-recursive-back-referen.patch.
    CVE-2015-3210: heap buffer overflow in pcre_compile2() /
    compile_regex(). (Closes: #787433)

 -- Salvatore Bonaccorso <carnil@debian.org>  Fri, 11 Sep 2015 20:04:19 +0200

pcre3 (2:8.35-7.1) unstable; urgency=medium

  * Rename libpcrecpp0 to libpcrecpp0v5. Addresses: #791236.
  * Add Conflict/Replaces to the old library.
  * Add libpcrecpp0v5 symbols file for GCC 5.

 -- Matthias Klose <doko@debian.org>  Tue, 04 Aug 2015 20:23:03 +0200

pcre3 (2:8.35-7) unstable; urgency=medium

  * Apply upstream patch to fix buffer overflow for forward reference
    within backward assertion with excess closing parenthesis
    (Closes: #790000)

 -- Matthew Vernon <matthew@debian.org>  Fri, 26 Jun 2015 08:08:55 +0100

pcre3 (2:8.35-6) unstable; urgency=low

  [ Thorsten Glaser ]
  * Re-add patch disabling JIT on powerpcspe and x32 (Closes: #760327)
  * Add back missing debian/changelog entries for 1:8.35-3.2 and 1:8.36-1

 -- Matthew Vernon <matthew@debian.org>  Sat, 13 Jun 2015 11:45:25 +0100

pcre3 (2:8.35-5) unstable; urgency=low

  * re-enable jit on ppc64el (by dropping the patch that disables it)
    (Closes: #786530)
  * patch from Frederic Bonnard to fix the watch file (Closes: #785726)

 -- Matthew Vernon <matthew@debian.org>  Tue, 26 May 2015 08:27:56 +0100

pcre3 (2:8.35-4) experimental; urgency=medium

  [ Mattia Rizzolo ]
  * Add a libpcre16-3 package with the 16 bit pcre16 library (Closes: 748781).
  * Add a libpcre32-3 package with the 32 bit pcre32 library.

  [ Matthew Vernon ]
  * Adopt this package (Closes: #772994)

 -- Matthew Vernon <matthew@debian.org>  Sat, 07 Mar 2015 19:27:34 +0000
