=== debian/control ===
Source: pcre3
Section: libs
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer:  Matthew Vernon <matthew@debian.org>
Standards-Version: 3.9.3
Build-Depends: debhelper (>= 11~), dpkg-dev (>= 1.16.0), dh-autoreconf

Package: libpcre3
Section: libs
Architecture: any
Priority: optional
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: libpcre3-dev (<= 4.3-3)
Breaks:
 libpcre-ocaml (<< 6.0.1~),
 approx (<< 4.4-1~),
 cmigrep (<< 1.5-7~),
 ocsigen (<< 1.3.3-1~),
 cduce (<< 0.5.3-2~),
 galax (<< 1.1-7~),
 liquidsoap (<< 0.9.2-3~)
Multi-Arch: same
Description: Old Perl 5 Compatible Regular Expression Library - runtime files
 This is a library of functions to support regular expressions whose syntax 
 and semantics are as close as possible to those of the Perl 5 language.
 .
 New packages should use the newer pcre2 packages, and existing
 packages should migrate to pcre2.
 .
 This package contains the runtime libraries.

Package: libpcre3-udeb
Section: debian-installer
Package-Type: udeb
Architecture: any
Priority: optional
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: libpcre3-dev (<= 4.3-3)
Description: Old Perl 5 Compatible Regular Expression Library - runtime files (udeb)
 This is a library of functions to support regular expressions whose syntax 
 and semantics are as close as possible to those of the Perl 5 language.
 .
 This package contains the runtime libraries for the Debian Installer (udeb).

Package: libpcrecpp0v5
Section: libs
Architecture: any
Priority: optional
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: libpcre3 (<< 6.4-1.1), libpcrecpp0
Replaces: libpcre3 (<< 6.4-1.1), libpcrecpp0
Multi-Arch: same
Description: Old Perl 5 Compatible Regular Expression Library - C++ runtime files
 This is a C++ library of functions to support regular expressions whose syntax 
 and semantics are as close as possible to those of the Perl 5 language.
 .
 This package contains the C++ runtime library.

Package: libpcre3-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libc-dev, libpcre3 (= ${binary:Version}), libpcre16-3 (= ${binary:Version}), libpcre32-3 (= ${binary:Version}), libpcrecpp0v5 (= ${binary:Version}), ${misc:Depends}
Description: Old Perl 5 Compatible Regular Expression Library - development files
 This is a library of functions to support regular expressions whose syntax 
 and semantics are as close as possible to those of the Perl 5 language.
 .
 New packages should use the newer pcre2 packages, and existing
 packages should migrate to pcre2.
 .
 This package contains the development files, including headers, static 
 libraries, and documentation.

Package: libpcre3-dbg
Section: debug
Priority: extra
Architecture: any
Depends: libpcre3 (= ${binary:Version}), libpcrecpp0v5 (= ${binary:Version}),  ${misc:Depends}
Multi-Arch: same
Description: Old Perl 5 Compatible Regular Expression Library - debug symbols
 This is a library of functions to support regular expressions whose syntax 
 and semantics are as close as possible to those of the Perl 5 language.
 .
 This package contains the debug symbols,

Package: pcregrep
Section: utils
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: pgrep (<<4.5)
Description: grep utility that uses perl 5 compatible regexes.
 Perl-style regexps have many useful features that the standard POSIX ones
 don't; this is basically the same as grep but with the different
 regexp syntax.
 .
 The other reason for the existence of pcregrep is that its source code is an
 example of programming with libpcre.

Package: libpcre16-3
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Description: Old Perl 5 Compatible Regular Expression Library - 16 bit runtime files
 This is a library of functions to support regular expressions whose syntax
 and semantics are as close as possible to those of the Perl 5 language.
 .
 This package contains the 16 bit runtime library.

Package: libpcre32-3
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Description: Old Perl 5 Compatible Regular Expression Library - 32 bit runtime files
 This is a library of functions to support regular expressions whose syntax
 and semantics are as close as possible to those of the Perl 5 language.
 .
 This package contains the 32 bit runtime library.
