=== debian/watch ===
version=3
ftp://ftp.csx.cam.ac.uk/pub/software/programming/pcre/pcre-([\d\.]+)\.zip
