## pcre3 8.39-13ubuntu0.22.04.1%2B11.0trisquel0

=== debian/changelog ===
pcre3 (2:8.39-13ubuntu0.22.04.1+11.0trisquel0) aramo-security; urgency=medium

  * Rebuild upstream to get udeb dependency for debian-installer.

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Fri, 14 Oct 2022 07:42:21 +0000

pcre3 (2:8.39-13ubuntu0.22.04.1) jammy-security; urgency=medium

  * SECURITY UPDATE: buffer over-read in JIT
    - debian/patches/CVE-2019-20838.patch: check if type is not
      extended Unicode parameter or Unicode new line in 
      pcre_jit_compile.c.
    - CVE-2019-20838

 -- David Fernandez Gonzalez <david.fernandezgonzalez@canonical.com>  Tue, 17 May 2022 09:43:48 +0200

pcre3 (2:8.39-13build5) jammy; urgency=high

  * No change rebuild for ppc64el baseline bump.

 -- Julian Andres Klode <juliank@ubuntu.com>  Thu, 24 Mar 2022 17:22:35 +0100

pcre3 (2:8.39-13build4) impish; urgency=medium

  * No-change rebuild to build packages with zstd compression.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 07 Oct 2021 12:22:15 +0200

pcre3 (2:8.39-13build3) hirsute; urgency=medium

  * No-change rebuild to build with lto.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 29 Mar 2021 08:04:22 +0200

pcre3 (2:8.39-13build2) hirsute; urgency=medium

  * No-change rebuild to drop the udeb package.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 26 Feb 2021 08:11:34 +0100

pcre3 (2:8.39-13build1) hirsute; urgency=medium

  * No-change rebuild to drop the udeb package.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 22 Feb 2021 10:35:58 +0100
