=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: pcre3
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
 XSBC-Original-Maintainer:  Matthew Vernon <matthew@debian.org>
 Standards-Version: 3.9.3
 Build-Depends: debhelper (>= 11~), dpkg-dev (>= 1.16.0), dh-autoreconf
@@ -9,7 +9,7 @@
 Package: libpcre3
 Section: libs
 Architecture: any
-Priority: optional
+Priority: important
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Conflicts: libpcre3-dev (<= 4.3-3)
 Breaks:
@@ -34,7 +34,7 @@
 Section: debian-installer
 Package-Type: udeb
 Architecture: any
-Priority: optional
+Priority: important
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Conflicts: libpcre3-dev (<= 4.3-3)
 Description: Old Perl 5 Compatible Regular Expression Library - runtime files (udeb)
@@ -61,7 +61,7 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libc-dev, libpcre3 (= ${binary:Version}), libpcre16-3 (= ${binary:Version}), libpcre32-3 (= ${binary:Version}), libpcrecpp0v5 (= ${binary:Version}), ${misc:Depends}
+Depends: libc6-dev, libpcre3 (= ${binary:Version}), libpcre16-3 (= ${binary:Version}), libpcre32-3 (= ${binary:Version}), libpcrecpp0v5 (= ${binary:Version}), ${misc:Depends}
 Description: Old Perl 5 Compatible Regular Expression Library - development files
  This is a library of functions to support regular expressions whose syntax 
  and semantics are as close as possible to those of the Perl 5 language.
