## pcre3 8.39.2

=== debian/changelog ===
pcre3 (2:8.39.2-12+dde2) unstable; urgency=low

  * ['Autobuild release-candidate: 48c1c0e5c18878da2eaf89d44f566f3e36f56d28']

 -- shuttle <shuttle@deepin.com>  Tue, 01 Sep 2020 18:12:26 +0000
