## pcre3 8.43

=== debian/changelog ===
pcre3 (2:8.43-1+0~20200703.7+debian8~1.gbpbfc49f) unstable; urgency=medium

  ** SNAPSHOT build @bfc49fa4244b1b6854d3ce13cba8ac0ba4304d4d **

  * UNRELEASED

 -- Ondřej Surý <ondrej@sury.org>  Fri, 03 Jul 2020 10:06:19 +0200

pcre3 (2:8.43-1) unstable; urgency=medium

  * Update d/watch to use https://ftp.pcre.org/pub/pcre/
  * New upstream version 8.43

 -- Ondřej Surý <ondrej@sury.org>  Wed, 10 Jul 2019 10:02:14 +0200

pcre3 (2:8.42-1) unstable; urgency=medium

  * New upstream version 8.42

 -- Ondřej Surý <ondrej@debian.org>  Sun, 03 Feb 2019 12:46:32 +0000

pcre3 (2:8.41-4) unstable; urgency=medium

  * Fix the maintscript helper script

 -- Ondřej Surý <ondrej@debian.org>  Tue, 06 Feb 2018 19:20:45 +0000

pcre3 (2:8.41-3) unstable; urgency=medium

  * Add missing #MINVER# into symbols file

 -- Ondřej Surý <ondrej@debian.org>  Tue, 06 Feb 2018 12:38:49 +0000

pcre3 (2:8.41-2) unstable; urgency=medium

  * Get rid of the /usr/share/doc symlink in pcregrep package
  * Upgrade the packaging to debhelper 9 compatibility level
  * Update the minimum symbols version in all symbols files to 2:8.41
    to unbreak the PHP 7.2 builds
  * Fix various little nits in the packaging and from the lintian
  * Build v5 and nov5 packages from the same source with a little help
    from sed and friends

 -- Ondřej Surý <ondrej@debian.org>  Tue, 06 Feb 2018 10:40:02 +0000

pcre3 (2:8.41-1.2) unstable; urgency=medium

  * Update jit-test to fallback on i586 only if i686 doesn't work
  * Bump pcre_jit_exec min version to 2:8.41

 -- Ondřej Surý <ondrej@debian.org>  Fri, 05 Jan 2018 19:11:36 +0000

pcre3 (2:8.41-1.1) unstable; urgency=medium

  * Use i586-linux-gnu-gcc instead of i686-linux-gnu-gcc

 -- Ondřej Surý <ondrej@debian.org>  Tue, 29 Aug 2017 07:29:31 +0200

pcre3 (2:8.41-1) unstable; urgency=medium

  * New upstream version 8.41
  * Update soname patch

 -- Ondřej Surý <ondrej@debian.org>  Mon, 31 Jul 2017 20:07:58 +0200

pcre3 (2:8.40-1) unstable; urgency=medium

  * New upstream version 8.40
  * Refresh patches on top of 8.40 release

 -- Ondřej Surý <ondrej@debian.org>  Mon, 29 May 2017 14:24:17 +0200
