## pcre3 8.45

=== debian/changelog ===
pcre3 (2:8.45-1+0~20250310.11+debian11~1.gbp8792c4) unstable; urgency=medium

  ** SNAPSHOT build @8792c4df6881482caaf5b24549077a7b25a100b9 **

  * UNRELEASED

 -- Ondřej Surý <ondrej@sury.org>  Mon, 10 Mar 2025 21:14:03 +0100

pcre3 (2:8.45-1) unstable; urgency=medium

  * New upstream version 8.45

 -- Ondřej Surý <ondrej@debian.org>  Tue, 20 Jun 2023 08:19:51 +0200

pcre3 (2:8.44-2) unstable; urgency=medium

  * Update the packaging scripts to dh compat level 10

 -- Ondřej Surý <ondrej@debian.org>  Sat, 10 Oct 2020 21:07:13 +0200

pcre3 (2:8.44-1) unstable; urgency=medium

  * New upstream version 8.44

 -- Ondřej Surý <ondrej@debian.org>  Fri, 03 Jul 2020 09:30:28 +0200
