=== debian/watch ===
version=4
https://ftp.pcre.org/pub/pcre/pcre-([\d\.]+)\.tar.gz
